Skip to content
Developer

EventTimingResult

Events8 EndpointsEvent / EventTimingResult

Returns a list of event timing result entries.

GET/api/event/timing_result

Query parameters

idinteger
baseEventstring
signUpstring
statusstring
statusManualboolean
genderstring
ageClassstring
rankOverallstring
rankGenderstring
rankAgeClassstring
netTimeMsstring
grossTimeMsstring
calculatedstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of EventTimingResult objectsarray<EventTimingResult>

Show fields (20)
  • base_event_idinteger
  • sign_up_idinteger
  • bib_labelstring
  • namestring
  • start_time_msinteger

    Start time in milliseconds.

  • finish_time_msinteger

    Finish time in milliseconds.

  • last_timing_point_idinteger
  • last_read_time_msinteger

    Time of the last read in milliseconds.

  • idinteger

    Primary key of the timing result. Internal ID.

  • statusstring

    Status of the result, for example finished, dnf or dsq.

  • status_manualboolean

    The status was set manually and is not recalculated.

  • gross_time_msinteger

    Gross time in milliseconds, including breaks.

  • net_time_msinteger

    Net time in milliseconds, without breaks.

  • rank_overallinteger

    Overall rank of the participant.

  • rank_genderinteger

    Rank of the participant within the gender.

  • rank_age_classinteger

    Rank of the participant within the age class.

  • age_classstring

    Age class of the participant.

  • genderstring

    Gender of the participant used for the ranking.

  • notestring

    Note on the result.

  • calculatedstring (date-time)

    Time the result was calculated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/timing_result \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "name": "Beispiel",
    "id": 42,
    "base_event_id": 42,
    "sign_up_id": 42,
    "bib_label": "string",
    "start_time_ms": 1,
    "finish_time_ms": 1,
    "last_timing_point_id": 42,
    "last_read_time_ms": 1,
    "status": "string"
  }
]

Returns a single event timing result entry.

GET/api/event/timing_result/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single EventTimingResultEventTimingResult

Show fields (20)
  • base_event_idinteger
  • sign_up_idinteger
  • bib_labelstring
  • namestring
  • start_time_msinteger

    Start time in milliseconds.

  • finish_time_msinteger

    Finish time in milliseconds.

  • last_timing_point_idinteger
  • last_read_time_msinteger

    Time of the last read in milliseconds.

  • idinteger

    Primary key of the timing result. Internal ID.

  • statusstring

    Status of the result, for example finished, dnf or dsq.

  • status_manualboolean

    The status was set manually and is not recalculated.

  • gross_time_msinteger

    Gross time in milliseconds, including breaks.

  • net_time_msinteger

    Net time in milliseconds, without breaks.

  • rank_overallinteger

    Overall rank of the participant.

  • rank_genderinteger

    Rank of the participant within the gender.

  • rank_age_classinteger

    Rank of the participant within the age class.

  • age_classstring

    Age class of the participant.

  • genderstring

    Gender of the participant used for the ranking.

  • notestring

    Note on the result.

  • calculatedstring (date-time)

    Time the result was calculated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/timing_result/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "name": "Beispiel",
  "id": 42,
  "base_event_id": 42,
  "sign_up_id": 42,
  "bib_label": "string",
  "start_time_ms": 1,
  "finish_time_ms": 1,
  "last_timing_point_id": 42,
  "last_read_time_ms": 1,
  "status": "string"
}

Manual status (DNS, DNF, DSQ, ...) and note. With status_manual = false the calculated status returns.

PUT/api/event/timing_result/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataEventTimingResult2
    Show fields (3)
    • statusstring

      Status of the result, for example finished, dnf or dsq.

    • status_manualboolean

      The status was set manually and is not recalculated.

    • notestring

      Note on the result.

Responses

200Update a EventTimingResultEventTimingResult

Show fields (20)
  • base_event_idinteger
  • sign_up_idinteger
  • bib_labelstring
  • namestring
  • start_time_msinteger

    Start time in milliseconds.

  • finish_time_msinteger

    Finish time in milliseconds.

  • last_timing_point_idinteger
  • last_read_time_msinteger

    Time of the last read in milliseconds.

  • idinteger

    Primary key of the timing result. Internal ID.

  • statusstring

    Status of the result, for example finished, dnf or dsq.

  • status_manualboolean

    The status was set manually and is not recalculated.

  • gross_time_msinteger

    Gross time in milliseconds, including breaks.

  • net_time_msinteger

    Net time in milliseconds, without breaks.

  • rank_overallinteger

    Overall rank of the participant.

  • rank_genderinteger

    Rank of the participant within the gender.

  • rank_age_classinteger

    Rank of the participant within the age class.

  • age_classstring

    Age class of the participant.

  • genderstring

    Gender of the participant used for the ranking.

  • notestring

    Note on the result.

  • calculatedstring (date-time)

    Time the result was calculated.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/event/timing_result/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "status": "string",
    "status_manual": true,
    "note": "string"
  }
}
'
Response 200 application/json
{
  "name": "Beispiel",
  "id": 42,
  "base_event_id": 42,
  "sign_up_id": 42,
  "bib_label": "string",
  "start_time_ms": 1,
  "finish_time_ms": 1,
  "last_timing_point_id": 42,
  "last_read_time_ms": 1,
  "status": "string"
}

Manual status (DNS, DNF, DSQ, ...) and note. With status_manual = false the calculated status returns.

PATCH/api/event/timing_result/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataEventTimingResult2
    Show fields (3)
    • statusstring

      Status of the result, for example finished, dnf or dsq.

    • status_manualboolean

      The status was set manually and is not recalculated.

    • notestring

      Note on the result.

Responses

200Update a EventTimingResultEventTimingResult

Show fields (20)
  • base_event_idinteger
  • sign_up_idinteger
  • bib_labelstring
  • namestring
  • start_time_msinteger

    Start time in milliseconds.

  • finish_time_msinteger

    Finish time in milliseconds.

  • last_timing_point_idinteger
  • last_read_time_msinteger

    Time of the last read in milliseconds.

  • idinteger

    Primary key of the timing result. Internal ID.

  • statusstring

    Status of the result, for example finished, dnf or dsq.

  • status_manualboolean

    The status was set manually and is not recalculated.

  • gross_time_msinteger

    Gross time in milliseconds, including breaks.

  • net_time_msinteger

    Net time in milliseconds, without breaks.

  • rank_overallinteger

    Overall rank of the participant.

  • rank_genderinteger

    Rank of the participant within the gender.

  • rank_age_classinteger

    Rank of the participant within the age class.

  • age_classstring

    Age class of the participant.

  • genderstring

    Gender of the participant used for the ranking.

  • notestring

    Note on the result.

  • calculatedstring (date-time)

    Time the result was calculated.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/event/timing_result/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "status": "string",
    "status_manual": true,
    "note": "string"
  }
}
'
Response 200 application/json
{
  "name": "Beispiel",
  "id": 42,
  "base_event_id": 42,
  "sign_up_id": 42,
  "bib_label": "string",
  "start_time_ms": 1,
  "finish_time_ms": 1,
  "last_timing_point_id": 42,
  "last_read_time_ms": 1,
  "status": "string"
}

Recalculates all results of the event from the reads.

POST/api/event/base_event/{identifier}/timing/recalculate

Path parameters

identifierrequiredstring

Responses

200{success, results}

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/base_event/42/timing/recalculate \
  --header 'x-iw-jwt-token: <TOKEN>'

Live snapshot for the admin app (full names, all positions).

GET/api/event/base_event/{identifier}/timing/live

Path parameters

identifierrequiredstring

Responses

200Live snapshot

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/base_event/42/timing/live \
  --header 'x-iw-jwt-token: <TOKEN>'

Sets the course from a GPX document or a list of points; null removes it.

PUT/api/event/base_event/{identifier}/timing/course

Path parameters

identifierrequiredstring

Request body application/json

  • gpxstring
  • pointsarray<array<number>>

Responses

200{timing_course}

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/event/base_event/42/timing/course \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "gpx": "string",
  "points": [
    [
      1.5
    ]
  ]
}
'

Sets the course from a GPX document or a list of points; null removes it.

PATCH/api/event/base_event/{identifier}/timing/course

Path parameters

identifierrequiredstring

Request body application/json

  • gpxstring
  • pointsarray<array<number>>

Responses

200{timing_course}

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/event/base_event/42/timing/course \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "gpx": "string",
  "points": [
    [
      1.5
    ]
  ]
}
'